package com.ruoyi.system.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.system.mapper.FollowInfoMapper;
import com.ruoyi.system.domain.FollowInfo;
import com.ruoyi.system.service.IFollowInfoService;

/**
 * 关注信息Service业务层处理
 * 
 * @author haotian
 * @date 2024-12-26
 */
@Service
public class FollowInfoServiceImpl implements IFollowInfoService 
{
    @Autowired
    private FollowInfoMapper followInfoMapper;

    /**
     * 查询关注信息
     * 
     * @param followInfoId 关注信息主键
     * @return 关注信息
     */
    @Override
    public FollowInfo selectFollowInfoByFollowInfoId(Long followInfoId)
    {
        return followInfoMapper.selectFollowInfoByFollowInfoId(followInfoId);
    }

    /**
     * 查询关注信息列表
     * 
     * @param followInfo 关注信息
     * @return 关注信息
     */
    @Override
    public List<FollowInfo> selectFollowInfoList(FollowInfo followInfo)
    {
        return followInfoMapper.selectFollowInfoList(followInfo);
    }

    /**
     * 新增关注信息
     * 
     * @param followInfo 关注信息
     * @return 结果
     */
    @Override
    public int insertFollowInfo(FollowInfo followInfo)
    {
        return followInfoMapper.insertFollowInfo(followInfo);
    }

    /**
     * 修改关注信息
     * 
     * @param followInfo 关注信息
     * @return 结果
     */
    @Override
    public int updateFollowInfo(FollowInfo followInfo)
    {
        return followInfoMapper.updateFollowInfo(followInfo);
    }

    /**
     * 批量删除关注信息
     * 
     * @param followInfoIds 需要删除的关注信息主键
     * @return 结果
     */
    @Override
    public int deleteFollowInfoByFollowInfoIds(Long[] followInfoIds)
    {
        return followInfoMapper.deleteFollowInfoByFollowInfoIds(followInfoIds);
    }

    /**
     * 删除关注信息信息
     * 
     * @param followInfoId 关注信息主键
     * @return 结果
     */
    @Override
    public int deleteFollowInfoByFollowInfoId(Long followInfoId)
    {
        return followInfoMapper.deleteFollowInfoByFollowInfoId(followInfoId);
    }
}
